/* unp.h header file */

#ifndef __unp_h
#define __unp_h


#include <sys/types.h>      /* basic system data types                    */
#include <sys/socket.h>     /* basic socket definition                    */
#include <sys/select.h>     /* select() anf FD_XXX macros                 */
#include <sys/time.h>       /* timeval{} for select()                     */
#include <time.h>           /* timespec{} for pselect()                   */
#include <netinet/in.h>     /* sockaddr_in{} and other Inet defns         */
#include <arpa/inet.h>      /* inet (3) functions                         */
#include <errno.h>
#include <fcntl.h>          /* for nonblocking                            */
#include <netdb.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>       /* for S_xxx file mode constants              */
#include <sys/uio.h>        /* for iovec{} and readv/writev               */
#include <unistd.h>
#include <sys/wait.h>
#include <sys/un.h>         /* for Unix domain sockets                    */

#define MAXLINE 4096
#define SA struct sockaddr       /* for convenience            */
#define LISTENQ  1024            /* 2nd argument to listen()   */
#define SERV_PORT  9877          /* TCP and UDP client-servers */
#define SERV_PORT_STR  "9877"    /* TCP and UDP client-servers */

#define __LOOP__ for( ; ; ){
#define __ENDLOOP__ }

#define max(a, b) ( ( (a) < (b) ) ? (b) : (a) ) 

#endif
